package com.prank.funnypranksounds.ui.activity;

import android.os.Bundle;

import androidx.appcompat.app.AppCompatActivity;

import com.prank.funnypranksounds.databinding.ActivitySettingBinding;
import com.prank.funnypranksounds.utils.SettingUtils;


public class SettingActivity extends AppCompatActivity {

    private ActivitySettingBinding binding;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        binding = ActivitySettingBinding.inflate(getLayoutInflater());
        setContentView(binding.getRoot());

        initData();
        initEvent();

    }

    private void initData() {

    }

    private void initEvent() {

        binding.back.setOnClickListener(v -> finish());

        binding.version.setText(SettingUtils.getCurrentVersion(this));

        binding.share.setOnClickListener(v -> {
            SettingUtils.shareApp(this);
        });

    }

    @Override
    protected void onDestroy() {
        super.onDestroy();
        binding = null;
    }
}